:root {
	--bg-light: #ffffff;
	--body-bg: #f8f8fb;
	--main-bg: #1f1e2e;
	--main-bg-hover: #5955e4;
	--main-pink: #7c84ff;
	--main-pink-hover: #5955e4;
	--main-cyan: #23d2e2;
	--main-cyan-hover: #20bfce;
	--main-green: #49d99e;
	--main-green-hover: #43c690;
	--main-blue: #5dcfff;
	--trow-bg: #ffffff;
	--trow-bg-hover: #fcfcfd;
	--thead-first-bg: #615dfa;
	--thead-second-bg: #41ecff;
	--gradient-first-bg: #615dfa;
	--gradient-second-bg: #41ecff;
	--main-gradient: linear-gradient(
		to right,
		var(--thead-first-bg),
		var(--thead-second-bg)
	);
	--main-webkit-gradient: -webkit-linear-gradient(
		to right,
		var(--thead-first-bg),
		var(--thead-second-bg)
	);
	--tcat-bg: #3e3f5e;
	--default-avatar-border: #f8f8fb;
	--default-avatar-border2: #e7e8ee;
	--default-border-color: #eeeeee;
	--default-button-bg: #23d2e2;
	--dbutton-bg: #3e3f5e;
	--link-button-bg: #3e3f5e;
	--newreply-button-bg: #49d99e;
	--default-input-bg: #ffffff;
	--default-padding: 1rem;
	--default-border-radius: 1rem;
	--default-margin: 1rem;
	--default-list-margin: 1rem 0;
	--default-icon-bg: #f3f3f3;
	--default-icon-color: #3699ff;
	--default-color: #52536d;
	--default-light-color: #939393;
	--default-link-color: #3e3f5e;
	--default-link-hover-color: #7471db;
	--success-green: #49d99e;
	--positive: #51dba2;
	--negative: #f97689;
	--negative-hover: #e36c7d;
	--neutral: #657786;
	--default-icon-width: 1.25rem;
	--default-icon-height: 1.25rem;
	--sidebar-default-color: #a2a3b7;
	--sidebar-hover-color: #ffffff;
	--default-white-color: #ffffff;
	--tcats-bgcolor: #f3f6f9;
	--tcats-color: #3f4254;
	--holder-bg: #ebedf3;
	--alert-bg: #fff3cd;
	--alert-bg-border-color: #ffecb5;
	--index-stats-bg: #f1edff;
}

::-webkit-scrollbar {
	width: 0.75rem;
	height: 0.75rem;
}

::-webkit-scrollbar-track {
	background-color: transparent;
}

::-webkit-scrollbar-thumb {
	background-color: #d6dee1;
}

::-webkit-scrollbar-thumb {
	background-color: #d6dee1;
	border-radius: 1rem;
}

::-webkit-scrollbar-thumb {
	background-color: #d6dee1;
	border-radius: 1rem;
	border: 4px solid transparent;
	background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
	background-color: #a8bbbf;
}

input[type="number"],
input[type="text"],
input[type="password"],
input[type="date"],
input[type="datetime-local"] {
	background: var(--default-input-bg);
	font-family: inherit;
	color: var(--default-color);
	border: 1px solid var(--default-border-color);
	border-radius: calc(var(--default-border-radius) / 4);
	padding: calc(var(--default-padding) / 8 * 5)
		calc(var(--default-padding) / 4 * 3);
	padding: calc(var(--default-padding) / 8 * 6) var(--default-padding);
	outline: 0;
	transition: 250ms ease;
}

.night-mode ::-webkit-calendar-picker-indicator {
	filter: invert(1);
}

input[type="text"]:focus,
input[type="password"]:focus {
	border-color: var(--main-cyan);
}

input[type="radio"] {
	-webkit-appearance: none;
	-moz-appearance: none;
	display: inline-flex;
	min-width: 1.125rem;
	height: 1.125rem;
	margin: calc(var(--default-margin) / 4);
	border-radius: 50%;
	outline: 0;
	background: white;
	border: 1px solid #ddd;
	position: relative;
	transition: 0.2s ease-in-out;
	cursor: pointer;
	vertical-align: middle;
}

input[type="radio"]:after {
	content: "";
	position: absolute;
	background: white;
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	transform: scale(1);
	transform-origin: center center;
	border-radius: 50%;
	transition: 0.2s ease-in-out;
}

input[type="radio"]:checked {
	background: dodgerblue;
}

input[type="radio"]:checked:after {
	transform: scale(0.5);
}

select {
	background: #ffffff;
	background: var(--default-input-bg);
	border: 1px solid var(--default-border-color);
	outline: 0;
	font-family: inherit;
	font-size: 13px;
	cursor: pointer;
	-webkit-appearance: none;
	background: var(--default-input-bg) url("svg/arrow-down.svg") no-repeat
		right 0.75rem center / 0.5rem;
	border-radius: calc(var(--default-border-radius) / 4);
	color: var(--default-color);
	padding: calc(var(--default-padding) / 8 * 6) var(--default-padding);
	padding-right: calc(var(--default-padding) * 2);
}

optn select,
optn input {
	background: var(--default-input-bg);
	color: var(--default-color);
	padding: 0.75rem 2rem 0.75rem 1rem;
	border-radius: 0.5rem;
	outline: 0;
	border: 1px solid var(--default-border-color);
	transition: 250ms ease-in-out;
}

optn input[type="number"] {
	padding: 0.75rem 0.75rem 0.75rem 1rem;
}

optn label {
	flex: 1 1 100%;
}

select:focus,
optn input:focus {
	border-color: #00bafa;
}

select:focus ~ optiontitle,
optn input:focus ~ optiontitle {
	color: #00bafa;
}

optn {
	position: relative;
	display: inline-flex;
	flex-wrap: wrap;
	align-items: center;
}

optn optiontitle {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	left: 0.5rem;
	background-image: linear-gradient(to bottom, transparent, transparent);
	/* background-size: 100% 2px; */
	background-repeat: no-repeat;
	background-position: bottom;
	background-position: center;
	padding: 0 0.25rem;
	color: var(--default-light-color);
	user-select: none;
	font-size: 0.75rem;
	pointer-events: none;
	transition: 200ms ease-in-out;
}

input:-webkit-autofill ~ optiontitle,
input:focus ~ optiontitle,
optn select ~ optiontitle,
optn input[type="datetime-local"] ~ optiontitle,
optn[fill] optiontitle,
optn[toggled] > optiontitle {
	background-image: linear-gradient(
		to bottom,
		var(--trow-bg),
		var(--trow-bg)
	);
	font-size: calc(1rem - 5px);
	top: 0%;
	pointer-events: none;
}

optn input:focus ~ optiontitle,
optn[fill] optiontitle {
	background-image: linear-gradient(
		to bottom,
		var(--trow-bg),
		var(--trow-bg)
	);
	font-size: calc(1rem - 5px);
	top: 0%;
	pointer-events: none;
	color: #00bafa;
}

html {
	scroll-behavior: smooth;
	-webkit-font-smoothing: antialiased;
}

body {
	font-family: "Poppins", -apple-system, BlinkMacSystemFont, "Segoe UI",
		Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif,
		"Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol",
		"Noto Color Emoji" !important;
	background: var(--body-bg);
	color: var(--default-color);
	line-height: 1.4;
	margin: 0;
	font-family: "Rajdhani", "Roboto", Sans-Serif;
	-webkit-text-size-adjust: 100%;
	text-size-adjust: 100%;
	-webkit-font-smoothing: antialiased;
	font-size: 14px;
	overflow-y: scroll;
	transition: 250ms ease;
}

*,
*::before,
*::after {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-font-smoothing: antialiased;
}

.hidden,
html.filtertests .testbox:not([marked]),
html:not(.filtertests) .nomarkedinfo,
html:not(.filtertests) .testbox[marked] ~ .nomarkedinfo,
.testbox[marked] ~ .nomarkedinfo {
	display: none;
}

.nomarkedinfo {
	margin: calc(var(--default-margin) * 4) 0;
}

a {
	color: var(--default-link-color);
	text-decoration: none;
	transition: color 250ms ease;
}

a:hover,
a:active {
	color: var(--default-link-hover-color);
}

svg.icon {
	width: var(--default-icon-width);
	height: var(--default-icon-height);
}

.mrg-v-1 {
	margin: var(--default-margin) 0;
}

.mrg-v-2 {
	margin: calc(var(--default-margin) * 2) 0;
}

.mrg-v-h {
	margin: calc(var(--default-margin) / 2) 0;
}

.mrg-1 {
	margin: var(--default-margin);
}

.mrg-2 {
	margin: calc(var(--default-margin) * 2);
}

.mrg-h {
	margin: calc(var(--default-margin) / 2);
}

.mrg-r-1 {
	margin-right: var(--default-margin);
}

.mrg-r-h {
	margin-right: calc(var(--default-margin) / 2);
}

.mrg-l-1 {
	margin-left: var(--default-margin);
}

.mrg-l-h {
	margin-left: calc(var(--default-margin) / 2);
}

.p-x1 {
	padding: var(--default-padding);
}

.p-x2 {
	padding: calc(var(--default-padding) * 2);
}

.p-x3 {
	padding: calc(var(--default-padding) * 3);
}

.flex {
	display: flex !important;
}

.flex-wrap {
	display: flex !important;
	flex-wrap: wrap;
}

.flex-1 {
	flex: 1 !important;
}

.fg-1 {
	flex-grow: 1 !important;
}

.flex-fg {
	flex-grow: 999999;
}

.ai-center {
	align-items: center !important;
}

.jc-start {
	justify-content: flex-start !important;
}

.jc-center {
	justify-content: center !important;
}

.jc-between {
	justify-content: space-between !important;
}

.fd-column {
	flex-direction: column;
}

.positive {
	background-color: var(--positive) !important;
}

.negative {
	background-color: var(--negative) !important;
}

.success {
	background-color: var(--success-green) !important;
}

button,
.button {
	padding: calc(var(--default-padding) / 2)
		calc(var(--default-padding) / 4 * 3);
	padding: calc(var(--default-padding) / 4 * 3)
		calc(var(--default-padding) * 6 / 4);
	cursor: pointer;
	font-size: 13px;
	background: var(--default-button-bg);
	color: white;
	font-weight: 600;
	font-family: inherit;
	border: 0;
	outline: 0;
	-moz-border-radius: calc(var(--default-border-radius) / 4);
	-webkit-border-radius: calc(var(--default-border-radius) / 4);
	border-radius: calc(var(--default-border-radius) / 4);
	transition: 350ms ease;
	box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
	display: inline-flex;
	justify-content: center;
	align-items: center;
}

.btn-primary {
	background: var(--default-button-bg);
}

.btn-warning {
	background: var(--negative);
}

.iconbutton {
	padding: calc(var(--default-padding) / 8 * 5);
	user-select: none;
}

.iconbutton > svg {
	width: 1.125rem;
	height: 1.125rem;
}

.iconbutton + .iconbutton,
.button + .button,
button + button,
button + .button,
.button + button {
	margin-left: calc(var(--default-margin) / 2);
}

button[disabled],
.button[disabled] {
	cursor: not-allowed;
	filter: grayscale(1);
}

button:hover,
.button:hover {
	color: white;
	box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.2);
}

button.bigbutton,
.button.bigbutton {
	padding: calc(var(--default-padding) / 8 * 6)
		calc(var(--default-padding) * 3 / 2);
	padding: calc(var(--default-padding) / 4 * 3) var(--default-padding);
}

container {
	width: 90%;
	max-width: 1280px;
	margin: auto auto;
}

html:not("#profile") content {
	display: block;
	width: 80%;
	margin: var(--default-margin) auto;
}

header,
content,
container {
	display: block;
}

header {
	position: sticky;
	top: 0;
	z-index: 99;
}

content {
	margin: var(--default-margin) 0;
	padding: var(--default-padding) 0;
}

nav {
	display: flex;
	background: var(--main-bg);
	padding: var(--default-padding);
	color: var(--default-white-color);
}

nav logo {
	display: inline-flex;
	align-items: center;
}

nav logo a {
	color: var(--default-white-color);
	font-size: 1.5em;
	font-weight: 600;
}

nav ul.header-menu {
	list-style: none;
	margin: 0 0 0 var(--default-margin);
	padding: 0;
	display: flex;
	align-items: center;
}

nav ul.header-menu > li a {
	display: inline-flex;
	align-items: center;
	font-weight: 500;
	padding: var(--default-margin) calc(var(--default-margin) / 2);
	color: var(--default-white-color);
}

.nightmode-b > icon {
	width: var(--default-icon-width);
	height: var(--default-icon-height);
	position: relative;
	display: inline-flex;
	align-items: center;
	overflow: hidden;
}

.nightmode-b > icon > svg.icon {
	position: absolute;
}

.nightmode-b > icon > iconc {
	display: inline-flex;
	transition: 250ms ease;
}

html.night-mode .nightmode-b > icon > iconc {
	transform: translateX(-50%);
}

nav ul.header-menu > li a svg.icon,
.nightmode-b > icon {
	margin-right: calc(var(--default-margin) / 4);
	color: var(--default-icon-color);
}

.nightmode-b > icon + span:after {
	content: "Nightmode";
}

.night-mode .nightmode-b > icon + span:after {
	content: "Daymode";
}

.header-mobilemenu-toggler {
	display: none;
	align-items: center;
	justify-content: center;
	margin-left: auto;
}

.flexbox {
	display: flex;
	background: var(--trow-bg);
}

.frow {
	margin-bottom: var(--default-margin);
}

.frc,
.f-container {
	display: flex;
	flex-wrap: wrap;
	margin-left: calc(var(--default-margin) * -1);
	margin-bottom: calc(var(--default-margin) * -1);
}

.fri {
	margin-left: var(--default-margin);
	margin-bottom: var(--default-margin);
}

.fri-9 {
	flex: 0 1 calc(100% * 3 / 4 - var(--default-margin));
}

.fri-8 {
	flex: 0 1 calc(100% * 2 / 3 - var(--default-margin));
}

.fri-6 {
	flex: 0 1 calc(100% / 2 - var(--default-margin));
}

.fri-4 {
	flex: 0 1 calc(100% / - var(--default-margin));
}

.fri-3 {
	flex: 0 1 calc(100% / 4 - var(--default-margin));
}

.fri-2 {
	flex: 0 1 calc(100% / 6 - var(--default-margin));
}

.flex > label {
	margin-right: calc(var(--default-margin) / 4 * 3);
}

.flex > label + input {
	flex: 1;
}

.fri.flex.fg-1 > .button {
	flex: 1;
}

.bcard {
	background: var(--trow-bg);
	border-radius: calc(var(--default-border-radius) / 2);
	padding: calc(var(--default-padding) * 2) var(--default-padding);
	-webkit-box-shadow: 0 0 30px 0 rgba(82, 63, 105, 0.05);
	box-shadow: 0 0 30px 0 rgba(82, 63, 105, 0.05);
}

.bcard-head {
	margin-bottom: calc(var(--default-margin) * 2);
}

.bcard-head-title {
	font-size: calc(1em + 4px);
	font-weight: 600;
}

.bcard-row {
	padding: calc(var(--default-padding) / 1) 0;
	border-bottom: 1px solid var(--default-border-color);
	white-space: nowrap;
	overflow-x: auto;
}

.bcard-row:last-child {
	border-bottom: 0;
}

.bcard-linerow {
	display: flex;
	/* margin-left: calc(var(--default-margin) * 5 / 2); */
	padding: calc(var(--default-padding) / 4 * 3) 0;
}

.bcard-linerow-icon {
	flex-basis: 2.5rem;
}

.bcard-linerow-lineside {
	flex: 1;
	margin-left: calc(var(--default-margin) / 4 * 3);
}

.bcard-row-line-label {
	display: inline-flex;
	font-size: calc(1em - 1px);
	font-weight: 500;
	color: var(--default-light-color);
	margin-bottom: calc(var(--default-margin) / 2);
}

.bcard-row-line {
	width: 100%;
	height: 6px;
	border-radius: calc(var(--default-border-radius) / 4);
	background: var(--holder-bg);
}

.bcard-row-rline {
	width: 100%;
	height: 6px;
	border-radius: calc(var(--default-border-radius) / 4);
	background: dodgerblue;
}

.tcats {
	background: var(--tcats-bgcolor);
	color: var(--tcats-color);
	border-radius: calc(var(--default-border-radius) * 0.375);
	font-size: calc(1em - 1px);
	font-weight: 500;
	white-space: nowrap;
	overflow-x: auto;
}

.tcat {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	padding: calc(var(--default-padding) / 4 * 3);
}

.tc-icon,
.id-ritem {
	flex-basis: 2.5rem;
}

.tc-r3,
.num-ritem {
	flex-basis: 3.5rem;
}

.tc-r6,
.r6-ritem {
	flex-basis: 6rem;
}

.tc-r8,
.r8-ritem {
	flex-basis: 8rem;
}

.tc-date,
.date-ritem {
	flex-basis: calc(100% / 4);
}

.tc-go,
.link-ritem {
	flex-basis: 4rem;
}

.bcard-row-i {
	display: inline-flex;
	justify-content: center;
	padding: calc(var(--default-padding) / 4 * 3);
}

.login-area {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	margin: auto;
}

.la-l img {
	object-fit: contain;
	max-width: 90vw;
}

.la-content-input {
	display: flex;
	align-items: center;
	flex-direction: row-reverse;
	margin-bottom: calc(var(--default-margin) * 5 / 4);
}

.la-content-input > label > svg {
	width: 1.5rem;
	height: 1.5rem;
	margin-right: calc(var(--default-margin) / 4);
	transition: 250ms ease;
}

.la-content-input > input {
	flex: 1;
}

.la-content-input > input:focus + label > svg {
	color: var(--default-icon-color);
	animation: beat 600ms ease infinite;
}

.la-content-submit > button {
	font-size: calc(1em + 1px);
}

@keyframes beat {
	0% {
		transform: scale(1);
	}
	50% {
		transform: scale(1.1);
	}
	100% {
		transform: scale(1);
	}
}

.eresultlistcard {
	overflow-x: auto;
}

.apexcharts-datalabel-label {
	font-weight: 600;
}

.testbox {
	background: var(--trow-bg);
	padding: var(--default-padding);
	border-radius: calc(var(--default-border-radius) / 2);
	margin-bottom: calc(var(--default-margin) * 1.5);
	box-shadow: 0 7px 30px -10px rgba(150, 170, 180, 0.5);
}

.testbox[status="correct"] {
	background: #1abc9c;
	color: var(--default-white-color);
}

.testbox[status="wrong"] {
	background: var(--negative-hover);
	color: var(--default-white-color);
}

.testbox[status="nonans"] {
	background: #636e72;
	color: var(--default-white-color);
}

.testbox .question {
	margin-bottom: calc(var(--default-margin) / 2);
	font-size: calc(1em + 1px);
	display: flex;
}

.testbox .question .q-marker {
	cursor: pointer;
	margin-right: calc(var(--default-margin) / 4);
}

.testbox .question .q-marker svg {
	fill: transparent;
	stroke: currentColor;
	transition: 250ms ease-in-out;
}

.testbox .question .q-marker:hover svg {
	fill: currentColor;
}

.testbox .question .q-marker.active svg {
	fill: var(--positive);
	stroke: var(--positive) !important;
}

.testbox .variant {
	display: flex;
	margin-bottom: calc(var(--default-margin) / 2);
	padding: calc(var(--default-padding) / 8) 0;
}

.variant .icon + input {
	display: none;
}

.testbox .variant input,
.testbox .variant .icon {
	margin: 0 calc(var(--default-margin) / 2) 0 0;
}

.testbox .variant .icon {
	width: 1.125rem;
	height: 1.125rem;
}

.testbox .variant label {
	display: inline-flex;
	align-items: center;
}

.hidden {
	display: none !important;
}

.about-s {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	margin-left: calc(var(--default-margin) * -4);
}

.fsection > div {
	flex: 1;
}

.about-s-l,
.about-s-info {
	flex: 1;
	margin-left: calc(var(--default-margin) * 4);
}

.about-s-l img {
	min-width: 300px;
}

.about-s-info {
	min-width: 40vw;
}

.about-s-info h1 {
	font-size: 2rem;
}

.about-s-info p {
	padding-right: calc(var(--default-padding) * 1);
}

#i-bg::part(native) {
	fill: yellow;
}

.cls-1 {
	fill: #faefe9;
}
.cls-2,
.cls-6 {
	fill: #fff;
}
.cls-14,
.cls-18,
.cls-3 {
	fill: none;
}
.cls-3 {
	stroke: #000;
}
.cls-18,
.cls-3 {
	stroke-miterlimit: 10;
}
.cls-4 {
	fill: #f2f2f2;
}
.cls-10,
.cls-5,
.cls-7 {
	fill: #50b89d;
}
.cls-5 {
	opacity: 0.7;
}
.cls-6 {
	font-size: 44.04px;
	font-family: ProximaNova-Medium, Proxima Nova;
}
.cls-7 {
	opacity: 0.44;
}
.cls-8 {
	fill: #ab8de5;
}
.cls-9 {
	fill: #73e5e2;
}
.cls-11 {
	fill: #f98b67;
}
.cls-12 {
	fill: #1f161e;
}
.cls-13 {
	fill: #fbdc8e;
}
.cls-14 {
	stroke: #fff;
	stroke-linejoin: round;
	stroke-width: 0.4px;
}
.cls-14,
.cls-18 {
	stroke-linecap: round;
}
.cls-15 {
	fill: #b37361;
}
.cls-16 {
	fill: #f8cdba;
}
.cls-17 {
	fill: #fa9e9f;
}
.cls-18 {
	stroke: #1f161e;
}
.cls-19 {
	fill: #969696;
}

.illustration-about-micon {
	animation: tb 1s ease infinite;
}

@keyframes tb {
	0% {
		transform: translateY(0);
	}
	50% {
		transform: translateY(0.5rem);
	}
	100% {
		transform: translateY(0);
	}
}

.index-header {
	display: flex;
	background: var(--main-bg) url("svg/wave.svg");
	background-size: cover;
	background-repeat: no-repeat;
	background-position: 0 4rem;
	min-height: 20rem;
	background-blend-mode: overlay;
	margin-bottom: calc(var(--default-margin) * 3);
}

.index-header-main {
	display: flex;
	align-items: center;
	flex-direction: column;
	justify-content: center;
	text-align: center;
	margin-top: var(--default-margin);
	color: var(--default-white-color);
}

.index-header-main-title {
	margin: 0;
	font-size: 2.5rem;
}

.index-header-main-desc {
	font-size: 1.25rem;
}

.index-header-main img {
	width: 33vw;
	min-width: 16rem;
	margin-bottom: calc(var(--default-margin) * -1.5);
}

footer {
	background-color: var(--main-bg);
	padding-bottom: calc(var(--default-padding) * 2);
	color: white;
}

footer a {
	color: white;
}

.footer-top {
	display: flex;
	flex-wrap: wrap;
	padding-top: calc(var(--default-padding) * 3);
	margin: 0 0 calc(var(--default-margin) * -1)
		calc(var(--default-margin) * -2);
}

.footer-top > div {
	margin: 0 0 1rem 2rem;
}

.footer-top-info {
	flex: 1 0 calc(100% / 4);
}

.footer-top-info-logo {
	margin-bottom: var(--default-margin);
}

.footer-top-info-logo a {
	display: inline-flex;
	align-items: center;
	font-size: 1.5rem;
	font-weight: bold;
	color: var(--default-white-color);
}

.footer-top-info-social ul {
	display: flex;
	list-style: none;
	padding: 0;
	margin-bottom: calc(var(--default-margin) * 1.5);
}

.footer-top-info-social ul li a {
	margin-right: 0.25rem;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	font-size: calc(1em - 1px);
	width: 1.5rem;
	height: 1.5rem;
	border-radius: 50%;
	box-shadow: 0 0 0 -2px transparent;
	transition: 250ms linear;
}

.footer-top-info-social ul li a:hover {
	box-shadow: 0 0 0px 2px white;
}

.footer-top-info-text {
	padding-right: calc(var(--default-padding));
}

.footer-top-nav {
	flex-basis: 16%;
}

.footer-top-nav-head,
.footer-top-pthemes-head {
	margin-bottom: 1rem;
	position: relative;
}

.footer-top-tabhead * {
	pointer-events: none;
}

.footer-top-nav-head-collapse {
	display: none;
	position: absolute;
	right: 1rem;
	top: 50%;
	transform: translateY(-50%);
	fill: white;
}

.footer-top-nav-head-collapse svg {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	width: 2rem;
	height: 2rem;
	opacity: 0;
	visibility: hidden;
	transition: 250ms ease;
}

.footer-top-tabhead.close .footer-top-nav-head-collapse svg.minusicon {
	opacity: 0;
	visibility: hidden;
}

.footer-top-tabhead.close .footer-top-nav-head-collapse svg.plusicon,
.footer-top-tabhead .footer-top-nav-head-collapse svg.minusicon {
	opacity: 1;
	visibility: visible;
}

.footer-top-nav-head h3,
.footer-top-pthemes-head h3 {
	margin: 0;
	margin-bottom: 0.25rem;
}

.footer-top-nav-head span,
.footer-top-pthemes-head span {
	color: rgb(250, 250, 250, 0.5);
	text-transform: uppercase;
	font-size: calc(1em - 2px);
	letter-spacing: 3px;
}

ul.footer-top-nav-links {
	list-style: none;
	padding: 0;
	margin: 0;
}

ul.footer-top-nav-links > li {
	margin-bottom: calc(var(--default-margin) / 4);
	white-space: nowrap;
}

ul.footer-top-nav-links > li > a > span {
	transition: 250ms ease;
}

ul.footer-top-nav-links > li > a:hover > span {
	margin-left: 0.375rem;
}

ul.footer-top-nav-links > li > a > svg {
	width: 0.875rem;
	height: 0.875rem;
	transition: 250ms ease;
}

ul.footer-top-nav-links > li > a:hover > i {
	color: white;
}

.footer-top-pthemes-list {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	grid-gap: 0.5rem;
}

.footer-top-pthemes-list-item:nth-child(3n + 1) {
	grid-column: 1;
}

.footer-top-pthemes-list-item:nth-child(3n + 2) {
	grid-column: 2;
}

.footer-top-pthemes-list-item:nth-child(3n + 3) {
	grid-column: 3;
}

.footer-top-pthemes-list-item:nth-child(3n + 4) {
	grid-column: 1;
}

.footer-top-pthemes-list-item a {
	background: rgba(0, 0, 0, 0.25);
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 0.5rem;
	font-weight: bold;
	width: 3rem;
	height: 3rem;
	font-size: 1.75rem;
	transition: 250ms ease-in-out;
}

.footer-top-pthemes-list-item a:hover {
	transform: scale(1.1);
}

.footer-top-backtop,
.footer-top-backtop-inner {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	cursor: pointer;
}

.footer-top-backtop-inner {
	animation: top-down 1s linear infinite alternate;
}

@keyframes top-down {
	from {
		transform: translateY(0);
	}
	to {
		transform: translateY(0.5rem);
	}
}

.backtopbutton {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: 2.5rem;
	height: 2.5rem;
	border-radius: 50%;
	border: 1px solid rgba(255, 255, 255, 0.25);
	transition: 250ms ease-out;
}

.footer-top-backtop:hover .backtopbutton {
	border: 2px solid white;
}

.footer-top-backtopdots {
	margin: 1rem 0;
}

.footer-top-backtopdots > div {
	background: white;
	width: 0.25rem;
	height: 0.25rem;
	margin-bottom: 0.5rem;
	border-radius: 50%;
}

.footer-top-backtopdots > div:first-child {
	opacity: 0.5;
}

.footer-top-backtopdots > div:nth-child(2) {
	opacity: 0.75;
}

.footer-top-backtoptext {
	text-transform: uppercase;
	font-weight: bold;
	writing-mode: vertical-rl;
	margin-top: 40%;
}

.footer-bottom {
	background: #4e4ac8;
}

.footer-bottom_content {
	display: flex;
	justify-content: space-between;
	padding: 0.75rem 0;
}

.footer-bottom_crafted {
	display: flex;
	align-items: center;
}

.footer-bottom_crafted > svg {
	margin: 0 calc(var(--default-margin) / 4);
}

.heartbeat {
	animation-iteration-count: infinite;
	animation-timing-function: linear;
	animation-duration: 1.8s;
	animation-name: heartbeat;
}

@keyframes heartbeat {
	0% {
		transform: scale(0.75);
	}

	20% {
		transform: scale(1);
	}

	40% {
		transform: scale(0.75);
	}

	60% {
		transform: scale(1);
	}

	80% {
		transform: scale(0.75);
	}

	100% {
		transform: scale(0.75);
	}
}

.index-stats {
	display: flex;
	background: var(--main-pink);
	background: var(--index-stats-bg);
}

.index-stats .f-container {
	margin: 0 0 calc(var(--default-margin) * -2)
		calc(var(--default-margin) * -2);
	padding: calc(var(--default-padding) * 4) calc(var(--default-padding) * 1);
}

.index-stats-item {
	display: flex;
	align-items: center;
	justify-content: center;
	flex: 1;
	margin: 0 0 calc(var(--default-margin) * 2) calc(var(--default-margin) * 2);
	padding: 0 calc(var(--default-padding) * 2);
	border-right: 1px solid #cbc9dc;
	/* color: var(--default-white-color); */
	font-weight: bold;
}

.index-stats-item:last-child {
	border-right: 0;
}

.index-stats-item-icon {
	margin-right: var(--default-margin);
}

.index-stats-item-icon > svg {
	width: 2.75rem;
	height: 2.75rem;
}

.index-stats-item-num {
	display: flex;
	flex-direction: column;
}

.index-stats-item-num num {
	margin-bottom: calc(var(--default-margin) / 8);
	font-size: 1.5rem;
	line-height: 1;
}

.index-stats-item-num text {
	font-size: calc(1em - 1px);
	text-transform: uppercase;
	letter-spacing: 1px;
}

.index-app {
	display: flex;
	background: var(--main-pink) url("svg/mountain-alt.svg");
	background-repeat: no-repeat;
	background-position: bottom right;
	background-blend-mode: soft-light;
	color: var(--default-white-color);
	font-size: 1.125em;
}

.index-app-text {
	display: flex;
	flex-direction: column;
	justify-content: center;
	text-align: center;
}

.index-app-text h1 {
	margin: calc(var(--default-margin) * 2) 0 var(--default-margin) 0;
	font-size: 2.5rem;
}

.index-app-text p {
	padding-right: calc(var(--default-padding) * 2);
}

.index-app object {
	width: 300px;
}

.top-alert {
	display: flex;
	justify-content: space-between;
	background: var(--alert-bg);
	border: 1px solid var(--alert-bg-border-color);
	padding: 1rem;
	font-size: calc(1rem - 2px);
	color: #664d03;
}

.register-area {
	border: 1px solid var(--default-border-color);
	border-radius: calc(var(--default-border-radius) / 2) calc(var(--default-border-radius) / 2) 0 0;
}

.register-area-header {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
	text-align: center;
	border-radius: calc(var(--default-border-radius) / 2)
		calc(var(--default-border-radius) / 2) 0 0;
	background: var(--main-bg);
	padding: var(--default-padding);
	color: var(--default-white-color);
}

.register-area-header-icon {
	margin-right: calc(var(--default-margin) * 1.5);
}

.register-area-header-icon img {
	width: 100px;
}

.register-area-header-content h1 {
	font-size: 1.5rem;
	font-weight: 600;
}

.register-area-body {
	display: flex;
	justify-content: center;
	background: var(--trow-bg);
	padding: calc(var(--default-padding) * 3);
}

.register-area-body > form {
	flex-basis: 75%;
}

.register-area-body optn,
.register-area-body optn > input,
.register-area-body optn > select {
	flex: 1;
}

.register-area-body .submitrow {
	margin-top: calc(var(--default-margin) * 2);
}

mnav {
	position: fixed;
	top: 0;
	bottom: 0;
	left: -100%;
	height: 100%;
	width: 100vw;
	min-height: -webkit-fill-available;
	max-width: 100%;
	display: flex;
	flex-direction: column;
	background: var(--main-bg);
	padding: var(--default-padding) calc(var(--default-padding) * 3 / 2);
	z-index: 99;
	transition: 250ms ease;
}

mnav ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

mnav ul > li a {
	display: inline-flex;
	align-items: center;
	font-weight: 500;
	padding: calc(var(--default-margin) / 4 * 3) 0;
	color: var(--default-white-color);
}

mnav ul > li a svg.icon {
	margin-right: calc(var(--default-margin) / 4);
	color: var(--default-icon-color);
}

.mobile-mt-useri {
	padding-bottom: var(--default-padding);
	margin-bottom: var(--default-margin);
	border-bottom: 1px solid rgba(255, 255, 255, 0.25);
}

.mobile-mt-useri-avatar {
	width: 3rem;
	height: 3rem;
	margin-right: calc(var(--default-margin) / 2);
}

.mobile-mt-useri-main-uname span {
	margin-top: calc(var(--default-margin) / 2);
	font-size: calc(1em - 2px);
	color: var(--default-light-color);
}

.mnav-cancel {
	margin: auto auto calc(var(--default-margin) * 3) auto;
}

.mnav-cancel > svg {
	width: 2.5rem;
	height: 2.5rem;
}

.mnav-cancel > svg:hover {
	fill: var(--main-pink);
}

#mobile-mt:checked ~ mnav {
	left: 0;
}

@media screen and (max-width: 768px), screen and (max-device-width: 768px) {
	nav ul.header-menu {
		display: none;
	}

	.header-mobilemenu-toggler {
		display: flex;
	}

	.index-stats-item {
		justify-content: unset;
		margin-left: 20%;
		border-right: 0;
	}

	.footer-top-tabcontent {
		overflow: hidden;
		transition: 250ms ease;
	}

	.footer-top-tabcontent.close {
		max-height: 0 !important;
		padding: 0;
	}

	.footer-top-nav-head-collapse {
		display: flex;
	}

	.footer-top {
		display: block;
	}

	.footer-top-info-logo {
		display: flex;
		justify-content: center;
	}

	.footer-top-backtop-inner {
		display: none;
	}

	container {
		width: 100%;
		min-width: 0px !important;
		padding: 0 var(--default-padding);
	}

	.register-area-body {
		padding: var(--default-padding);
	}

	.register-area-body > form {
		flex: 1;
	}

	.register-area-body > form > .submitrow > button[type="submit"] {
		flex: 1;
	}
}

.night-mode:root {
	--bg-light: #1d2333;
	--body-bg: #161b28;
	--main-bg: #161b28;
	--tcats-bgcolor: #161b28;
	--tcats-color: white;
	--index-stats-bg: #1f2f3f;
	--main-gradient: linear-gradient(to right, var(--second), var(--main));
	--trow-bg: #1d2333;
	--trow-bg-hover: #21283b;
	--nightmode-main: #0c1319;
	--nightmode-light: #1f2f3f;
	--nightmode-ultralight: #26394c;
	--main-link: white;
	--main-color: white;
	--default-color: white;
	--default-border-color: #262d42;
	--default-link-color: #ddd;
	--default-avatar-border: #272f44;
	--default-avatar-border2: #272f44;
	--default-input-bg: var(--body-bg);
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
	-webkit-box-shadow: 0 0 0 60px var(--trow-bg) inset !important;
	box-shadow: 0 0 0 60px var(--trow-bg) inset !important;
	-webkit-text-fill-color: var(--default-color);
}

.test-pages {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-evenly;
	margin: var(--default-margin) 0;
}

.test-pages > * {
	margin: 0 var(--default-margin) var(--default-margin) 0;
}

.test {
	background: var(--trow-bg);
	padding: var(--default-padding);
	border: 1px solid var(--default-border-color);
	border-radius: var(--default-border-radius);
	margin-bottom: var(--default-margin);
}

.test-type-txt:checked ~ .test-ifile,
.test-variants,
.test-answer {
	display: none;
}

.test-type-txt:checked ~ .test-qtext,
.test-atype-v:checked ~ .test-variants,
.test-atype-a:checked ~ .test-answer {
	display: block;
}

input[type="textbox"] {
	background: var(--default-input-bg);
	color: var(--default-color);
	border: 1px solid var(--default-border-color);
	padding: calc(0.5rem + 1px);
	outline: 0;
	font-size: 13px;
	font-family: "Roboto", Sans-Serif;
}

textarea {
	background: var(--trow-bg-hover);
	color: var(--default-color);
	border: 1px solid var(--default-border-color);
	padding: calc(var(--default-padding) / 4);
	line-height: 1.4;
	outline: 0;
	font-family: "Roboto", Sans-Serif;
	font-size: 13px;
}

.test-variant {
	display: flex;
	align-items: center;
	margin-bottom: calc(var(--default-margin) / 2);
}

.test-variant > input:first-child {
	margin-right: calc(var(--default-margin) / 4);
}

.test-image {
	display: flex;
	max-width: 40vw;
}

#pnames {
	display: flex;
	flex-direction: column;
	margin: var(--default-margin) 0;
}

.addquiz-inputs input {
	margin-right: calc(var(--default-margin) / 2);
}

#pnames input {
	margin-bottom: var(--default-margin);
}

.quizrow-qdesc {
	font-size: calc(1em - 2px);
	color: var(--default-light-color);
}


.section-profilehead-avatar > img{
	width: 6.875rem;
	height: 6.875rem;
	border-radius: 50%;
}

.section-profilehead-info {
	white-space: nowrap;
}